QUIQQER Management System
========

![QUIQQER](bin/images/Readme.png)

Copyright PCSG OhG - www.pcsg.de - www.quiqqer.com

About QUIQQER
--------

![Static Badge](https://img.shields.io/badge/PHP-^8.1-purple)
![Static Badge](https://img.shields.io/badge/PHP-PSR-purple)
![Static Badge](https://img.shields.io/badge/MySQL-8.*-blue)
![Static Badge](https://img.shields.io/badge/Webserver-Apache-white)
![Static Badge](https://img.shields.io/badge/Webserver-NGINX-white)

![Static Badge](https://img.shields.io/badge/Browser-Chrome-yellow)
![Static Badge](https://img.shields.io/badge/Browser-Safari-blue)
![Static Badge](https://img.shields.io/badge/Browser-Firefox-orange)
![Static Badge](https://img.shields.io/badge/Browser-Edge-blue)
![Static Badge](https://img.shields.io/badge/Browser-Opera-red)
![Static Badge](https://img.shields.io/badge/Browser-Brave-orange)

QUIQQER is an all-in-one Enterprise Content Management System (CMS) designed for convenient backend management, fast
implementation, and modular design. It goes beyond the capabilities of a traditional CMS by offering a range of useful
tools not commonly found in similar systems.

QUIQQER was developed by PCSG - Computer & Internet Service OHG, a modern IT agency located in the beautiful city of
Solingen, Germany. It was specifically created to facilitate the quick implementation of SaaS, e-commerce shops, and web
applications.

### Features

- Template System with Layouts: QUIQQER offers a flexible template system with layouts, allowing you to create visually
  appealing and consistent designs for your web pages.

- Modular Based Management System: QUIQQER is built on a modular architecture, enabling easy management and
  customization of various components to suit your specific project requirements.

- Internal Package Management via Composer: QUIQQER integrates an internal package management system based on Composer.
  It also provides a bridge to npm and bower, giving you access to a vast number of packages for extended functionality.

- Easy XML Module API: QUIQQER offers a simple XML module API that allows you to create and integrate XML files into
  your projects with ease. This enables seamless integration of structured data within your applications.

- Event-Based System: QUIQQER employs an event-based system, enabling you to respond to and handle events within your
  applications effectively.

- Expandable with Lots of Modules: QUIQQER provides a wide range of modules that can be easily integrated into your
  projects. These modules cover various functionalities, allowing you to extend the capabilities of your website
  effortlessly. [Visit the QUIQQER Store](https://store.quiqqer.com/) to explore and download additional modules.

- Open Source and Free: The main source code of QUIQQER is completely open source and freely available, empowering you
  to modify and adapt it according to your specific needs.

- All-Important Modules for Professional Presence: QUIQQER includes essential modules that are crucial for creating a
  professional online presence or web project. These modules encompass features such as a flexible component template
  system (Bricks), a cron system, various controls (components), an email system with an email queue,
  user/group/permission management, support for multiple domains and languages, and the ability to create multiple
  projects.

And Many More: QUIQQER encompasses a wide range of additional features and possibilities that are designed to empower
you in creating and managing your web projects effectively.

**If you want to know more about what QUIQQER can do, visit our Discover page:**

- https://www.quiqqer.com/Discover

Getting Started
------

To get started with QUIQQER, follow the [official instructions](https://www.quiqqer.com/Start-now).

- [Installation via Web / Browser](https://www.quiqqer.com/Start-now/Installation#websetup)
- [Installation via CLI / Server](https://www.quiqqer.com/Start-now/Installation#terminal-setup)

Additional Resources
------

Expand your access to the QUIQQER community and find additional resources to get help and information:

- [Main Website](https://www.quiqqer.com/): Visit the official website for comprehensive resources, documentation, and
  updates.
- [Twitter: Main Developer Account](https://twitter.com/de_henne)
- [Twitter: PCSG Company Account](https://twitter.com/pcsg_dev)
- [Gitlab](https://dev.quiqqer.com/quiqqer/quiqqer): Access QUIQQER's GitLab page for discussions, issue reporting, and
  contributions.
- [Discord](https://discord.gg/tjWg4ZE): Join the QUIQQER Discord server for real-time support and interactions with the
  community.
- [Facebook](https://www.facebook.com/Quiqqer) - German

Utilize these additional resources to engage with the QUIQQER community, ask questions, share experiences, and
collaborate with fellow users and developers.


Contribute & Support
----------

You would like to help but don't know how or where? We have written a Contribution Guide especially for you. Here are
all the steps in how and where you can help us. We are looking forward to you.

To the Contribution Guide:

- [English](CONTRIBUTING.md)
- [German](CONTRIBUTING-de.md)

We use our own Gitlab instance, if you find bugs or miss features, please write us there. Github serves as a mirror and
backup.

- [Issues](https://dev.quiqqer.com/quiqqer/quiqqer/-/issues)
- [Milestones](https://dev.quiqqer.com/quiqqer/quiqqer/-/milestones)

License
-------

- GPL-3.0+

Thank you
--------

QUIQQER owes its existence and success to the dedicated efforts of numerous developers and projects. We would like to
express our gratitude to the following software packages and their contributors:

- Composer (http://getcomposer.org)
- MooTools (http://mootools.net/)
- requirejs (requirejs.org/)
- AMD css! plugin curl.js (https://github.com/cujojs/curl)
- moofx (https://github.com/kamicane/moofx/)
- Font Awesome (http://fontawesome.io/)
- Basis and idea for the QUIQQER Font: http://fontfabric.com/multicolore-free-fonts/
- All the Webstuff (PHP, Apache, NGINX, MySQL/MariaDB)

We acknowledge that this list may not encompass all the contributions that have influenced QUIQQER, and we apologize for
any omissions. We extend our sincere appreciation to all the developers and contributors who have played a part in the
creation and evolution of QUIQQER.

Thank you for your remarkable work and the lines of code that have shaped the development landscape.

Henning and Moritz from PCSG & QUIQQER
